# Uses of Enum Class
org.bukkit.event.inventory.InventoryCloseEvent.Reason

Packages that use InventoryCloseEvent.Reason
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.event.inventory
`Events` relating to `inventory` manipulation.

## Uses of InventoryCloseEvent.Reason in org.bukkit.entity

Methods in org.bukkit.entity with parameters of type InventoryCloseEvent.Reason
Modifier and Type
Method
Description
`void`
HumanEntity.`closeInventory(InventoryCloseEvent.Reason reason)`
Force-closes the currently open inventory view for this player, if any.

## Uses of InventoryCloseEvent.Reason in org.bukkit.event.inventory

Methods in org.bukkit.event.inventory that return InventoryCloseEvent.Reason
Modifier and Type
Method
Description
`@NotNull InventoryCloseEvent.Reason`
InventoryCloseEvent.`getReason()`
`static InventoryCloseEvent.Reason`
InventoryCloseEvent.Reason.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InventoryCloseEvent.Reason[]`
InventoryCloseEvent.Reason.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.event.inventory with parameters of type InventoryCloseEvent.Reason
Modifier
Constructor
Description
``
`InventoryCloseEvent(@NotNull InventoryView transaction, @NotNull InventoryCloseEvent.Reason reason)`